

OKKKKKKKKKKKKKK
<button (click)="showInside=false">Show inside</button>
<button (click)="showInside=true">Show inside</button>
<div class="container-fluid>">
<app-group [groupid]="'1'" class="">
  <ng-template>
  <app-inside class="" [name]="'elem1a'"></app-inside>
  <app-inside class="" [name]="'elem1b'"></app-inside>
  <app-inside class="" [name]="'elem1c'"></app-inside>
  <div class="w-100"></div>
<app-group [groupid]="'2'" class="">
   <ng-template>
    <app-inside [name]="'elem2a'"></app-inside> 
    <div>
      <app-inside [name]="'elem2b'" *ngIf="showInside"></app-inside>
    </div>
    <app-inside [name]="'elem2c'"></app-inside>
    <app-group [groupid]="'3'" class="container-fluid">
     <ng-template>
      <div class="row">
      <app-inside class="col-sm-auto text-danger ml-sm-0 ml-lg-auto " [name]="'elem3a'"></app-inside>
      <app-inside class="col-sm-auto ml-sm-auto ml-lg-0" [name]="'elem3b'"></app-inside>
   </div>
   <div class=" d-flex">
     <div class="col-3 border border-primary">cola</div>
     <div class="flex-grow-1 border border-danger">colb</div>
     <div class="col-3 border border-primary">colc</div> 
</div>  
</ng-template>
  </app-group>
</ng-template>
</app-group>
<app-group [groupid]="'2.1'">
  <ng-template>
  <app-inside class="" [name]="'elem2.1a'"></app-inside>
</ng-template>
</app-group>
</ng-template>
</app-group>
</div>
<app-my-component>
  <!-- <ng-template  let-name let-local="local" appMydirec="'okkkkk paramer'">
     MY TEMAPLTE ************************
     {{hell}}{{name}} {{local}}
     <app-mycomp2></app-mycomp2>
  </ng-template>
   -->
   <ng-template  #mitemp>
    <app-inside></app-inside>  
    </ng-template>
    <ng-template  #mitemp2>
      <app-inside></app-inside>  
      </ng-template>
      
  
   <div *appMydirec="'okkkkk paramer';let name;let local='local' ">
    MY TEMAPLTE ************************
    {{hell}}{{name}} {{local}}
    <app-mycomp2 #ref>
       <app-mycomp2></app-mycomp2>
    </app-mycomp2>
    <app-mycomp2 #ref></app-mycomp2>
   </div>
</app-my-component>